---
title: RTCRtpTransceiver.stopped
slug: Web/API/RTCRtpTransceiver/stopped
tags:
  - API
  - Deprecated
  - Media
  - Property
  - RTCRtpTransceiver
  - RTP
  - Reference
  - WebRTC
  - stopped
---
<div>{{APIRef("WebRTC")}}{{deprecated_header}}</div>

<p><span class="seoSummary">The read-only <strong><code>stopped</code></strong> property on the {{domxref("RTCRtpTransceiver")}} interface indicates whether or not the transceiver's associated sender and receiver have both been stopped.</span></p>

<p>The transceiver is stopped if the {{domxref("RTCRtpTransceiver.stop", "stop()")}} method has been called or if a change to either the local or the remote description has caused the transceiver to be stopped for some reason.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isStopped</em> = <em>RTCRtpTransceiver</em>.stopped;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if the transceiver's {{domxref("RTCRtpTransceiver.sender", "sender")}} will no longer send data, and its {{domxref("RTCRtpTransceiver.receiver", "receiver")}} will no longer receive data. If either or both are still at work, the result is <code>false</code>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>This property is <em>deprecated</em> and will be removed in the future. Instead, look at the value of {{domxref("RTCRtpTransceiver.currentDirection", "currentDirection")}}. Its value is <code>stopped</code> if the transceiver has stopped.</p>

<div class="notecard note">
<p><strong>Note:</strong> Currently only Firefox implements <code>stopped</code>, and has not yet been updated to implement this change.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtptransceiver-stopped", "RTCRtpTransceiver.stopped")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiver.stopped")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Introduction to the Real-time Transport Protocol (RTP)</a></li>
</ul>
